Exception::getTrace
Exception::__toString
Exception
PHP Manual

# Exception::getTraceAsString

(PHP 5 >= 5.1.0)

Exception::getTraceAsString — Gets the stack trace as a string

### 설명

final public string Exception::getTraceAsString ( void )

Returns the Exception stack trace as a string.

### 인수

이 함수는 인수가 없습니다.

### 반환값

Returns the Exception stack trace as a string.

### 예제

Example #1 Exception::getTraceAsString() example

`<?php
function test() {
throw new Exception;
}
try {
test();
} catch(Exception $e) {
echo $e->getTraceAsString();
}
?>`

위 예제의 출력 예시:

    #0 /home/bjori/tmp/ex.php(7): test()
    #1 {main}

Exception::getTrace
Exception::__toString
Exception
PHP Manual